// #+TITLE: Refinements for paths
import { Tagged } from "ts-refined";
import * as p from "path";
// ** Tags
export class Path extends Tagged {
}
export class Dir extends Tagged {
}
export class File extends Tagged {
}
// ** Refinements
export class Abs {
    constructor() {
        this.test = (s) => p.isAbsolute(s);
    }
}
export class Rel {
    constructor() {
        this.test = (s) => !p.isAbsolute(s);
    }
}
